package com.gxx.record.service;

/**
 * <dl>
 * <dt><b>Title:</b></dt>
 * <dd>
 * memcached服务接口</dd>
 * <dt><b>Description:</b></dt>
 * <dd>
 * <p>
 * none</dd>
 * </dl>
 *
 * @author Administrator
 * @version 1.0, 2015年7月23日
 * @since record
 *
 */
public interface MemcachedService {
	/**
     * 仅当存储空间中不存在键相同的数据时才保存
     * @param key
     * @param value
     */
    public <T> void addWithNoReply(String key, T value);
    /**
     * 设置键值对
     * @param key     key
     * @param expires 单位:秒，0 表示永不过期
     * @param value   必须是一个可序列化的对象, 可以是容器类型如:List，但容器里面保存的对象必须是可序列化的
     */
    public <T> void addWithNoReply(String key, int expires, T value);
    /**
     * 无论何时都保存
     * @param key
     * @param value
     */
    public <T> void set(String key, T value);
    /**
     * 设置键值对
     * @param key     key
     * @param expires 单位:秒，0 表示永不过期
     * @param value   必须是一个可序列化的对象, 可以是容器类型如:List，但容器里面保存的对象必须是可序列化的
     */
    public <T> void set(String key, int expires, T value);
    /**
     * 根据key获得值
     * @param key key
     * @return value
     */
    public <T> T get(String key);
}
