package com.gxx.record.service.impl;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Service;

import com.gxx.record.base.master.vo.Friend;
import com.gxx.record.base.master.vo.Student;
import com.gxx.record.dto.MongodbDto;
import com.gxx.record.service.MongodbService;

/**
 * <dl>
 *    <dt><b>Title:</b></dt>
 *    <dd>
 *    	mongodb服务实现类
 *    </dd>
 *    <dt><b>Description:</b></dt>
 *    <dd>
 *    	<p>none
 *    </dd>
 * </dl>
 *
 * @author Administrator
 * @version 1.0, 2015年7月23日
 * @since record
 *
 */
@Service("mongodbService")
public class MongodbServiceImpl implements MongodbService {
	/**
	 * 日志处理器
	 */
	private final Logger logger = Logger.getLogger(MongodbServiceImpl.class);
	
    @Autowired
    private MongoTemplate mongoTemplate;

	@Override
	public boolean save(MongodbDto mongodbDto) {
		Student student = get(mongodbDto.getName());
		if(null == student){
			student = new Student();
		}
		student.setName(mongodbDto.getName());
		Friend friend = new Friend();
		friend.setName(mongodbDto.getFriendName());
		friend.setSex(mongodbDto.isFriendSex());
		student.setFriend(friend);
		mongoTemplate.save(student);
		logger.info("插入mongodb完成！");
		return false;
	}

	@Override
	public Student get(String name) {
		Query query = new Query();  
        query.addCriteria(new Criteria("name").is(name));  
		Student student = mongoTemplate.findOne(query, Student.class);
		logger.info("查询到mongodb实体:" + student);
		return student;
	}
}