package com.gxx.record.web.jms;

import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.gxx.record.service.JmsService;

/**
 * UserController
 * 
 * @author gxx
 */
@Controller
@RequestMapping("/jms/")
public class JmsController {
	/**
	 * 日志处理器
	 */
	private final Logger logger = Logger.getLogger(JmsController.class);
	
	@Autowired
	private JmsService jmsService;
	
	/**
	 * 发送消息
	 * @param request
	 * @return
	 */
	@RequestMapping(value = "/send",produces="application/json")
	public @ResponseBody Map<String, Object> registJsp(HttpServletRequest request) {
		String content = request.getParameter("content");
		logger.info("发送消息：内容=[" + content + "]");
		jmsService.sendMessage(content);
		Map<String, Object> resultMap = new HashMap<String, Object>();
		resultMap.put("success", true);
		return resultMap;
	}
}