package com.gxx.record.web.memcached;

import javax.servlet.http.HttpServletRequest;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.gxx.record.dto.MemcachedDto;
import com.gxx.record.service.MemcachedService;

/**
 * MemcachedController
 * 
 * @author gxx
 */
@Controller
@RequestMapping("/memcached/")
public class MemcachedController {
	/**
	 * 日志处理器
	 */
	private final Logger logger = Logger.getLogger(MemcachedController.class);
	
	@Autowired
	private MemcachedService memcachedService;
	
	@RequestMapping(value = "/preMemcachedFtl", method = RequestMethod.GET)
	public String preMemcachedFtl() {
		return "memcached/preMemcachedFtl";
	}
	
	/**
	 * 设置
	 * @param request
	 * @param memcachedDto
	 * @return
	 */
	@RequestMapping(value = "/set",produces="application/json")
	public @ResponseBody MemcachedDto set(HttpServletRequest request, MemcachedDto memcachedDto) {
		logger.info("设置：键=[" + memcachedDto.getKey() + "]，值=[" + memcachedDto.getValue() + "]");
		/**
		 * 1.设置值
		 */
		memcachedService.set(memcachedDto.getKey(), memcachedDto.getValue());
		/**
		 * 2.返回结果
		 */
		memcachedDto.setSuccess(true);
		memcachedDto.setMessage("设置成功!");
		return memcachedDto;
	}
	
	/**
	 * 获取值
	 * @param request
	 * @param memcachedDto
	 * @return
	 */
	@RequestMapping(value = "/get",produces="application/json")
	public @ResponseBody MemcachedDto get(HttpServletRequest request, MemcachedDto memcachedDto) {
		logger.info("获取值：键=[" + memcachedDto.getKey() + "]");
		/**
		 * 1.获取值
		 */
		String obj = (String)memcachedService.get(memcachedDto.getKey());
		/**
		 * 2.返回结果
		 */
		memcachedDto.setSuccess(true);
		memcachedDto.setMessage("获取成功");
		memcachedDto.setValue(obj);
		return memcachedDto;
	}
}