package com.gxx.record.web.mongodb;

import javax.servlet.http.HttpServletRequest;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.gxx.record.base.master.vo.Student;
import com.gxx.record.dto.MongodbDto;
import com.gxx.record.service.MongodbService;

/**
 * <dl>
 *    <dt><b>Title:</b></dt>
 *    <dd>
 *    	MongodbController
 *    </dd>
 *    <dt><b>Description:</b></dt>
 *    <dd>
 *    	<p>none
 *    </dd>
 * </dl>
 *
 * @author Administrator
 * @version 1.0, 2015年7月27日
 * @since record
 *
 */
@Controller
@RequestMapping("/mongodb/")
public class MongodbController {
	/**
	 * 日志处理器
	 */
	private final Logger logger = Logger.getLogger(MongodbController.class);
	
	@Autowired
	private MongodbService mongodbService;
	
	@RequestMapping(value = "/preMongodbFtl", method = RequestMethod.GET)
	public String preMongodbFtl() {
		return "mongodb/preMongodbFtl";
	}
	
	/**
	 * 设置
	 * @param request
	 * @param mongodbDto
	 * @return
	 */
	@RequestMapping(value = "/save",produces="application/json")
	public @ResponseBody MongodbDto save(HttpServletRequest request, MongodbDto mongodbDto) {
		logger.info("设置：姓名=[" + mongodbDto.getName() + "]，朋友姓名=[" + mongodbDto.getFriendName() + "]，"
				+ "朋友性别=[" + mongodbDto.isFriendSex() + "]");
		/**
		 * 1.设置值
		 */
		mongodbService.save(mongodbDto);
		/**
		 * 2.返回结果
		 */
		mongodbDto.setSuccess(true);
		mongodbDto.setMessage("设置成功!");
		return mongodbDto;
	}
	
	/**
	 * 获取值
	 * @param request
	 * @param mongodbDto
	 * @return
	 */
	@RequestMapping(value = "/get",produces="application/json")
	public @ResponseBody MongodbDto get(HttpServletRequest request, MongodbDto mongodbDto) {
		logger.info("获取值：姓名=[" + mongodbDto.getName() + "]");
		/**
		 * 1.获取学生
		 */
		Student student = mongodbService.get(mongodbDto.getName());
		/**
		 * 2.返回结果
		 */
		if(student == null){
			mongodbDto.setSuccess(false);
			mongodbDto.setMessage("该姓名[" + mongodbDto.getName() + "]不存在");
		} else {
			mongodbDto.setSuccess(true);
			mongodbDto.setMessage("获取成功");
			mongodbDto.setFriendName(student.getFriend().getName());
			mongodbDto.setFriendSex(student.getFriend().isSex());
		}
		return mongodbDto;
	}
}