package com.gxx.record.web.redis;

import javax.servlet.http.HttpServletRequest;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.gxx.record.dto.RedisDto;
import com.gxx.record.service.RedisService;

/**
 * RedisController
 * 
 * @author gxx
 */
@Controller
@RequestMapping("/redis/")
public class RedisController {
	/**
	 * 日志处理器
	 */
	private final Logger logger = Logger.getLogger(RedisController.class);
	
	@Autowired
	private RedisService redisService;
	
	@RequestMapping(value = "/preRedisFtl", method = RequestMethod.GET)
	public String preRedisFtl() {
		return "redis/preRedisFtl";
	}
	
	/**
	 * 设置
	 * @param request
	 * @param redisDto
	 * @return
	 */
	@RequestMapping(value = "/set",produces="application/json")
	public @ResponseBody RedisDto set(HttpServletRequest request, RedisDto redisDto) {
		logger.info("设置：键=[" + redisDto.getKey() + "]，值=[" + redisDto.getValue() + "]");
		/**
		 * 1.设置值
		 */
		boolean result = redisService.set(redisDto.getKey(), redisDto.getValue());
		/**
		 * 2.返回结果
		 */
		redisDto.setSuccess(result);
		redisDto.setMessage(result?"设置成功!":"设置失败!");
		return redisDto;
	}
	
	/**
	 * 获取值
	 * @param request
	 * @param redisDto
	 * @return
	 */
	@RequestMapping(value = "/get",produces="application/json")
	public @ResponseBody RedisDto get(HttpServletRequest request, RedisDto redisDto) {
		logger.info("获取值：键=[" + redisDto.getKey() + "]");
		/**
		 * 1.获取值
		 */
		String obj = (String)redisService.get(redisDto.getKey());
		/**
		 * 2.返回结果
		 */
		redisDto.setSuccess(true);
		redisDto.setMessage("获取成功");
		redisDto.setValue(obj);
		return redisDto;
	}
}