package com.gxx.record.web.rmi;

import javax.servlet.http.HttpServletRequest;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.gxx.record.dto.RmiRequest;
import com.gxx.record.dto.RmiResponse;
import com.gxx.record.service.RmiService;

/**
 * RmiController
 * 
 * @author gxx
 */
@Controller
@RequestMapping("/rmi/")
public class RmiController {
	/**
	 * 日志处理器
	 */
	private final Logger logger = Logger.getLogger(RmiController.class);
	
	@Autowired
	private RmiService rmiService;
	
	@RequestMapping(value = "/preRmiFtl", method = RequestMethod.GET)
	public String preRmiFtl() {
		return "rmi/preRmiFtl";
	}
	
	/**
	 * 远程调用
	 * @param request
	 * @param rmiRequest
	 * @return
	 */
	@RequestMapping(value = "/process",produces="application/json")
	public @ResponseBody RmiResponse process(HttpServletRequest request, RmiRequest rmiRequest) throws Exception {
		logger.info("远程调用：功能号=[" + rmiRequest.getBusinessCode() + "]，用户名=[" + rmiRequest.getName() + "]，"
				+ "密码=[" + rmiRequest.getPassword() + "]");
		return rmiService.process(rmiRequest);
	}
}